import React from 'react';
import { OptionsControlProps, Option } from './Options';
import { Api } from '../../types';
export interface CheckboxesProps extends OptionsControlProps {
    placeholder?: any;
    itemClassName?: string;
    columnsCount?: number;
    labelClassName?: string;
    onAdd?: () => void;
    addApi?: Api;
    creatable: boolean;
    createBtnLabel: string;
    editable?: boolean;
    removable?: boolean;
}
export default class CheckboxesControl extends React.Component<CheckboxesProps, any> {
    static defaultProps: {
        columnsCount: number;
        multiple: boolean;
        placeholder: string;
        creatable: boolean;
        createBtnLabel: string;
    };
    componentDidMount(): void;
    componentDidUpdate(prevProps: OptionsControlProps): void;
    reload(): void;
    handleAddClick(): void;
    handleEditClick(e: Event, item: any): void;
    handleDeleteClick(e: Event, item: any): void;
    renderGroup(option: Option, index: number): JSX.Element;
    renderItem(option: Option, index: number): JSX.Element;
    render(): JSX.Element;
}
export declare class CheckboxesControlRenderer extends CheckboxesControl {
}
